Groovy Documentation

## org.codehaus.groovy.grails.plugins.services
[Groovy] Class ServicesGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.services.ServicesGrailsPlugin

    class ServicesGrailsPlugin

Configures services in the spring context.

Authors:
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.Object` | `doWithSpring` /*Service.groovy", "file:.
`java.lang.Object` | `loadAfter`
`java.lang.Object` | `onChange`
`java.lang.Object` | `version`
`java.lang.Object` | `watchedResources`

Method Summary
`java.lang.Object` | `shouldCreateTransactionalProxy(GrailsServiceClass serviceClass)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### doWithSpring

    java.lang.Object doWithSpring

  /*Service.groovy", "file:./plugins/

### loadAfter

    java.lang.Object loadAfter

### onChange

    java.lang.Object onChange

### version

    java.lang.Object version

### watchedResources

    java.lang.Object watchedResources

Method Detail

### shouldCreateTransactionalProxy

    java.lang.Object shouldCreateTransactionalProxy(GrailsServiceClass serviceClass)

Groovy Documentation